> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rootkey.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create record

> Anchors a structured key/value payload as a verifiable record.



## OpenAPI

````yaml post /platform/records
openapi: 3.0.3
info:
  title: ROOTKey Documentation
  description: >-
    Your API of choice for creating, managing, and validating information easily
    and securely!
  termsOfService: https://www.rootkey.ai/legal/privacy-policy
  contact:
    name: ROOTKey
    url: https://www.rootkey.ai/contact
    email: support@rootkey.ai
  version: 1.0.0
servers:
  - description: Production
    url: https://api.rootkey.ai/api-v1/
security:
  - x-api-key: []
tags:
  - name: api-v1-public
    description: Unauthenticated top-level /api-v1 endpoints (health, plans, annual report)
  - name: api-v1-files
    description: >-
      File anchoring, versioning, validation and compliance reporting
      (/api-v1/platform/files)
  - name: api-v1-records
    description: Structured-data record anchoring (/api-v1/platform/records)
  - name: api-v1-vaults
    description: 'Vault lifecycle: create / update / delete (/api-v1/platform/vaults)'
  - name: api-v1-recovery-points
    description: >-
      Backup archives created from vault contents
      (/api-v1/platform/recovery-point)
paths:
  /platform/records:
    post:
      tags:
        - api-v1-records
      summary: Create record
      description: Anchors a structured key/value payload as a verifiable record.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - ownerVault
                - recordData
              properties:
                ownerVault:
                  type: string
                  example: '0xdf67CA8286510997567685c0385ECeAb11C23C92'
                recordData:
                  type: object
                  additionalProperties: true
                  description: >-
                    Arbitrary key-value payload to anchor (values must be
                    string, number, boolean, or null)
                expirationDate:
                  type: string
                  format: date-time
      responses:
        '200':
          description: Record anchored
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateSmartContractResponse'
        '400':
          $ref: '#/components/responses/DomainError'
        '401':
          description: Unauthenticated
        '404':
          description: Wallet not found
        '500':
          $ref: '#/components/responses/InternalError'
      security:
        - x-api-key: []
components:
  schemas:
    CreateSmartContractResponse:
      type: object
      properties:
        chainId:
          type: number
          example: 137
        transactionHash:
          type: string
          description: On-chain transaction hash of the anchoring transaction
          example: 0xabc123...
      required:
        - chainId
        - transactionHash
    DomainErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            requestId:
              type: string
            message:
              type: string
            errorCode:
              type: string
            docUrl:
              type: string
            timestamp:
              type: string
              format: date-time
  responses:
    DomainError:
      description: >-
        Domain-level error (validation, business rule violation, resource not
        found)
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/DomainErrorResponse'
    InternalError:
      description: Internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/DomainErrorResponse'
  securitySchemes:
    x-api-key:
      type: apiKey
      name: x-api-key
      in: header
      description: >-
        ROOTKey API key (rk_live_... for production, rk_test_... for the test
        network).

````